var google_url = "https://picasaweb.google.com/data/feed/api/";
var loading_text = "<div class='loader'>&nbsp;</div>";
jQuery(function(){
        jQuery('#navigation').data('selected_user','');
        jQuery('#navigation').data('selected_album','');
	jQuery('.user_link').click(function(){
		var userid = jQuery(this).attr('title');
		getAlbumsByUser(userid);
	});
});

function getAlbumsByUser(userid){
        jQuery('#navigation').data('selected_user',userid);
        jQuery('#navigation').data('selected_album','');
	jQuery.ajax({
		url: google_url+'user/'+userid+'/?kind=album&thumbsize=96c&alt=json',
		dataType :'json',
		beforeSend: function (XMLHttpRequest){
                        jQuery('#picasa_accounts').hide();
			jQuery('#images').html(loading_text);
		},
		success: function(data) {
			jQuery('#images').html('');
			var albums = data.feed.entry;
			jQuery.each(
				albums,
				function(index,value){
					tmp = {};
					tmp.thumbnail_url = value.media$group.media$thumbnail[0].url;
					tmp.album_name  = value.gphoto$name.$t;
					tmp.created_date  = value.published.$t;
					tmp.numphotos  = value.gphoto$numphotos.$t;
					tmp.albumid = value.gphoto$id.$t;
					tmp.userid = userid;
					jQuery('#images').append(drow_album_image(tmp));
				}
			);
		},
                complete: function (XMLHttpRequest, textStatus){
                    draw_navigation_bar();
                }
	});
}

function drow_album_image(data){
	var created_date = new Date(data.created_date);
	var c_date = created_date.getFullYear() + " " + month_names[created_date.getMonth()] + " " + created_date.getDate();
	var markup = ""+
		"<div class='album_item'>"+
		"<div class='album_item_container'>"+
		"<div class='image_item'>"+
		"<a href='javascript:void(0);'><img src='"+data.thumbnail_url+"' /></a>"+
		"</div>"+
		"<div class='album_desciption_item'>"+
		"<span class='album_name_container'><strong>Name:</strong> <span class='album_name'>"+data.album_name+"</span></span>"+
		"<span class='album_date_container'><strong>Created:</strong> <span class='album_date'>"+c_date+"</span></span>"+
		"<span class='numphotos_container'><strong>Nr. of photos:</strong> <span class='numphotos'>"+data.numphotos+"</span></span>"+
		"<input type='button' class='button-secondary' value='Open' onclick=\"getImagesByAlbum(\'"+data.userid+"\',\'"+data.albumid+"\')\" />"+
		"<input type='button' class='button-primary' value='Add gallery' onclick=\"addAllImagesByAlbum(\'"+data.userid+"\',\'"+data.albumid+"\',\'"+data.album_name+"\')\"/>"+
                "<span class='allbum_all_loader' id='allbum_all_loader_"+data.albumid+"'>&nbsp;</span>"+
		"</div>"+
		"</div>"+
		"</div>";
	return markup;
}

function getImagesByAlbum(userid, albumid){
        jQuery('#navigation').data('selected_user',userid);
        jQuery('#navigation').data('selected_album',albumid);
	jQuery.ajax({
		url: google_url+'user/'+userid+'/albumid/'+albumid+'?kind=photo&thumbsize=96c,'+thumbnail_size+','+full_size+'&alt=json',
		dataType :'json',
		beforeSend: function (XMLHttpRequest){
                        jQuery('#picasa_accounts').hide();
			jQuery('#images').html(loading_text);
		},
		success: function(data) {
			jQuery('#images').html('');
			var albums = data.feed.entry;
			jQuery.each(
				albums,
				function(index,value){
					tmp = {};
					tmp.admin_thumbnail_url = value.media$group.media$thumbnail[0].url;
                                        tmp.thumbnail_url = value.media$group.media$thumbnail[1].url;
                                        tmp.full_url = value.media$group.media$thumbnail[2].url;
					tmp.image_name  = value.title.$t;
					tmp.imageid = value.gphoto$id.$t;
					jQuery('#images').append(drow_image(tmp));
				}
			);
		},
                complete: function (XMLHttpRequest, textStatus){
                    draw_navigation_bar();
                }
	});
}

function addAllImagesByAlbum(userid, albumid,albumname){
    jQuery.ajax({
            url: google_url+'user/'+userid+'/albumid/'+albumid+'?kind=photo&thumbsize=96c,'+thumbnail_size+','+full_size+'&alt=json',
            dataType :'json',
            beforeSend: function (XMLHttpRequest){
                    jQuery('#allbum_all_loader_'+albumid).show();
            },
            success: function(data) {
                    insert_in_editor(before_gallery);
                    if(parseInt(add_gallery_title)){
                        insert_in_editor(before_gallery_title+albumname+after_gallery_title);
                    }
                    var albums = data.feed.entry;
                    jQuery.each(
                            albums,
                            function(index,value){
                                    tmp = {};
                                    tmp.admin_thumbnail_url = value.media$group.media$thumbnail[0].url;
                                    tmp.thumbnail_url = value.media$group.media$thumbnail[1].url;
                                    tmp.full_url = value.media$group.media$thumbnail[2].url;
                                    tmp.image_name  = value.title.$t;
                                    tmp.imageid = value.gphoto$id.$t;
                                    add_photo(tmp.imageid,tmp.thumbnail_url,tmp.full_url,tmp.image_name);
                            }
                    );
                    insert_in_editor(after_gallery);
            },
            complete: function (XMLHttpRequest, textStatus){
                jQuery('#allbum_all_loader_'+albumid).hide();
            }
    });
}

function drow_image(data){
	var markup = ""+
	"<div class='image_item'>"+
	"<a href='javascript:void(0);' onclick=\"add_photo(\'"+data.imageid+"\',\'"+data.thumbnail_url+"\',\'"+data.full_url+"\',\'"+data.image_name+"\')\">"+
	"<img id='img_"+data.imageid+"' class='insert_image' src='"+data.admin_thumbnail_url+"' />"+
	"</a>"+
	"<span class='image_name'>"+data.image_name.substr(0,15)+"</span>"+
	"</div>";
	return markup;
}

function add_photo(imageid,thumbnail_src,full_src,image_name){
	jQuery('#img_'+imageid).fadeTo("slow", 0.33); 
	//jQuery('#img_'+imageid).fadeTo("slow", 1);
        jQuery('#img_'+imageid).css("border-color", '#AF2D00');

        if (!imageid.length){
            return false;
        }

        if(!parseInt(add_caption)){
            image_name = '';
        }

        var insert_text = '';
        if (before_image.length){
            insert_text+= before_image;
        }
        insert_text+= '<a href="' + full_src + '" rel="'+lightbox+'['+post_id+']" title="'+image_name+'">' +
        '<img src="' + thumbnail_src + '" alt="'+image_name+'" class="'+css_class+'" style="'+style+'"/>'+
        '</a>';
        if (after_image.length){
            insert_text+= after_image;
        }
        insert_in_editor(insert_text);
}

function insert_in_editor(insert_text){
    var win = window.opener ? window.opener : window.dialogArguments;
    if (!win)
            win = top;
    tinyMCE = win.tinyMCE;
    if (typeof tinyMCE != 'undefined' && tinyMCE.getInstanceById('content')) {
            tinyMCE.selectedInstance.getWin().focus();
            tinyMCE.execCommand('mceInsertContent', false, insert_text);
    } else
            win.edInsertContent(win.edCanvas, insert_text);
    return false;
}

function draw_navigation_bar(){
    jQuery('#navigation').empty();
    var result = '';
    var selected_user = jQuery('#navigation').data('selected_user');
    var selected_album = jQuery('#navigation').data('selected_album');
    if (selected_user.length){
        result += "<input type='button' class='button-primary' value='Change user' onclick=\"change_user()\"/>";
    }
    if (selected_album.length){
        result += "<input type='button' class='button-secondary' value='Back to "+selected_user+"' onclick=\"getAlbumsByUser(\'"+selected_user+"\')\"/>";
    }

    if (result.length){
        jQuery('#navigation').append(result);
        jQuery('#navigation').show();
    }
    else{
        jQuery('#navigation').hide();
    }
}

function change_user(){
    jQuery('#navigation').data('selected_user','');
    jQuery('#navigation').data('selected_album','');
    draw_navigation_bar();
    jQuery('#images').empty();
    jQuery('#picasa_accounts').show();
}


var month_names = new Array ( );
month_names[month_names.length] = "January";
month_names[month_names.length] = "February";
month_names[month_names.length] = "March";
month_names[month_names.length] = "April";
month_names[month_names.length] = "May";
month_names[month_names.length] = "June";
month_names[month_names.length] = "July";
month_names[month_names.length] = "August";
month_names[month_names.length] = "September";
month_names[month_names.length] = "October";
month_names[month_names.length] = "November";
month_names[month_names.length] = "December";